%define	name	metasploit
%define	version	4.0.0
%define	release	%mkrel 1

# prevent rpm to create debug files for binary content
%define _enable_debug_packages    %{nil}
%define debug_package     %{nil}
# disable automatic dependencies, because of shipped exploits
%define __find_provides %{nil}
%define __find_requires %{nil}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Penetration Testing Resources
License:	GPLv2
Group:		Monitoring
URL:		http://www.metasploit.com/
Source0:	http://www.metasploit.com/releases/framework-%{version}.tar.bz2
Patch0:		msf3-4.0.0-fhs.patch
# To avoid automatic dependency on file
Requires:	ruby-RubyGems
BuildRequires:	ruby
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Metasploit provides useful information and tools for penetration
testers, security researchers, and IDS signature developers. This
project was created to provide information on exploit techniques
and to create a functional knowledgebase for exploit developers and
security professionals. The tools and information on this site are
provided for legal security research and testing purposes only.
Metasploit is an open source project managed by Rapid7.

%package gui
Summary:	GUI for %{name}
Group:		Monitoring
Requires:	%{name} = %{version}-%{release}
Requires:	ruby-gtk2
Requires:	ruby-libglade2

%description gui
This package contains a GUI for %{name}.

%prep
%setup -q -n msf3
%patch0 -p1
find . -name .svn | xargs rm -rf

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 msf* %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -r data %{buildroot}%{_datadir}/%{name}
cp -r external %{buildroot}%{_datadir}/%{name}
cp -r lib %{buildroot}%{_datadir}/%{name}
cp -r modules %{buildroot}%{_datadir}/%{name}
cp -r plugins %{buildroot}%{_datadir}/%{name}
cp -r scripts %{buildroot}%{_datadir}/%{name}
cp -r tools %{buildroot}%{_datadir}/%{name}

rm -rf %{buildroot}%{_datadir}/%{name}/external/source

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/metasploit
%exclude %{_bindir}/msfgui

%files gui
%defattr(-,root,root)
%doc README
%{_bindir}/msfgui



%changelog
* Thu Dec 22 2011 Andrey Bondrov <abondrov@mandriva.org> 4.0.0-1
+ Revision: 744593
- New version 4.0.0

* Tue May 10 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.0-2
+ Revision: 673294
- fix FHS patch

* Mon May 09 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.0-1
+ Revision: 673091
- new version

* Sun May 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.6.0-1
+ Revision: 661404
- new version

* Thu Mar 10 2011 Funda Wang <fwang@mandriva.org> 3.5.0-3
+ Revision: 643229
- rebuild to obsolete old packages

* Tue Feb 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.5.0-2
+ Revision: 636848
- filter out automatic dependencies generated by shipped exploits
- don't ship svn control directories
- fix FHS patch

* Mon Feb 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 3.5.0-1
+ Revision: 636722
- update to new version 3.5.0

* Thu Aug 19 2010 Pascal Terjan <pterjan@mandriva.org> 3.4.0-2mdv2011.0
+ Revision: 571362
- Avoid dependency on /usr/bin/ruby

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.4.0-1mdv2011.0
+ Revision: 554526
- new version

* Wed Apr 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.3-1mdv2010.1
+ Revision: 537734
- import metasploit


* Wed Apr 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.3-1mdv2010.1
- initial mdv package
